/*
** IFELSEEND.C                      Handles if, else and the like of commands.
*/

#include <stdio.h>
#include "estruct.h"
#include "edef.h"


ifcmd(f, n)
int f, n;
{
   char exprbuf[61];
   int  status;


   iflevel++;
   if (skiplevel)
      return TRUE;
   else
   {
      /*
      ** Handle expression
      */
      if (!f)
      {
         if ((status = mlreply("if-expression: ", exprbuf, 60)) != TRUE)
            return status;
         sscanf(exprbuf, "%d", &n);
      }

      if (!n)
         skiplevel = iflevel;

      return TRUE;
   }
}


elsecmd(f, n)
{
   if (iflevel)
   {
      if (skiplevel == iflevel)
         skiplevel = 0;
      else
         if (skiplevel == 0)
            skiplevel = iflevel;

      return TRUE;
   }
   else
   {
      mlwrite("[No matching 'if' statement to 'else']");
      return FALSE;
   }
}


endcmd(f, n)
{
   if (iflevel)
   {
      if (skiplevel == iflevel)
         skiplevel = 0;
      iflevel--;
      return TRUE;
   }
   else
   {
      mlwrite("[No matching 'if' statement to 'endif']");
      return FALSE;
   }
}
