/*
** MATHVAR.C            Some mathematical functions to use with variables.
**
** Date     Programmer     History
** -------- -------------- --------------------------------------------------
** 880910   P. Eriksson    Initial coding.
*/

#include <stdio.h>
#include "estruct.h"
#include "edef.h"


int subtractvar(f, n)
int f, n;
{
   char varname[61], *varvalue;
   char varbuf[256];
   int  status, num;


   if (!f)
      n = 0;

   if ((status = mlreply("variable-name: ", varname, 60)) != TRUE)
      return status;

   if (varvalue = get_var(varname))
   {
      sscanf(varvalue, "%d", &num);
      sprintf(varbuf, "%d", num - n);
      if (set_var(varname, varbuf) == -1)
         return FALSE;
   }
   else
      return FALSE;

   return TRUE;
}



int addvar(f, n)
int f, n;
{
   char varname[61], *varvalue;
   char varbuf[256];
   int  status, num;


   if (!f)
      n = 0;

   if ((status = mlreply("variable-name: ", varname, 60)) != TRUE)
      return status;

   if (varvalue = get_var(varname))
   {
      sscanf(varvalue, "%d", &num);
      sprintf(varbuf, "%d", num + n);
      if (set_var(varname, varbuf) == -1)
         return FALSE;
   }
   else
      return FALSE;

   return TRUE;
}

