/*   EBIND:      Initial default key to function bindings for
 *               MicroEMACS 3.8
*/


#if RAINBOW
#include "rainbow.h"

/*
 * Mapping table from the LK201 function keys to the internal EMACS character.
 */

short lk_map[][2] = {
   Up_Key,                         CTRL+'P',
   Down_Key,                       CTRL+'N',
   Left_Key,                       CTRL+'B',
   Right_Key,                      CTRL+'F',
   Shift+Left_Key,                 META+'B',
   Shift+Right_Key,                META+'F',
   Control+Left_Key,               CTRL+'A',
   Control+Right_Key,              CTRL+'E',
   Prev_Scr_Key,                   META+'V',
   Next_Scr_Key,                   CTRL+'V',
   Shift+Up_Key,                   META+'<',
   Shift+Down_Key,                 META+'>',
   Cancel_Key,                     CTRL+'G',
   Find_Key,                       CTRL+'S',
   Shift+Find_Key,                 CTRL+'R',
   Insert_Key,                     CTRL+'Y',
   Options_Key,                    CTRL+'D',
   Shift+Options_Key,              META+'D',
   Remove_Key,                     CTRL+'W',
   Shift+Remove_Key,               META+'W',
   Select_Key,                     CTRL+'@',
   Shift+Select_Key,               CTLX+CTRL+'X',
   Interrupt_Key,                  CTRL+'U',
   Keypad_PF2,                     META+'L',
   Keypad_PF3,                     META+'C',
   Keypad_PF4,                     META+'U',
   Shift+Keypad_PF2,               CTLX+CTRL+'L',
   Shift+Keypad_PF4,               CTLX+CTRL+'U',
   Keypad_1,                       CTLX+'1',
   Keypad_2,                       CTLX+'2',
   Do_Key,                         CTLX+'E',
   Keypad_4,                       CTLX+CTRL+'B',
   Keypad_5,                       CTLX+'B',
   Keypad_6,                       CTLX+'K',
   Resume_Key,                     META+'!',
   Control+Next_Scr_Key,           CTLX+'N',
   Control+Prev_Scr_Key,           CTLX+'P',
   Control+Up_Key,                 CTLX+CTRL+'P',
   Control+Down_Key,               CTLX+CTRL+'N',
   Help_Key,                       CTLX+'=',
   Shift+Do_Key,                   CTLX+'(',
   Control+Do_Key,                 CTLX+')',
   Keypad_0,                       CTLX+'Z',
   Shift+Keypad_0,                 CTLX+CTRL+'Z',
   Main_Scr_Key,                   CTRL+'C',
   Keypad_Enter,                   CTLX+'!',
   Exit_Key,                       CTLX+CTRL+'C',
   Shift+Exit_Key,                 CTRL+'Z'
};

#define lk_map_size     (sizeof(lk_map)/2)
#endif

extern KEYTAB  keytab[NBINDS];

