/* SYSTEM - A routine to execute a primos command from within another program */
/*          It will return an integer error code showing how well the command */
/*          was executed and if the command was correctly invoked.  The eight */
/*          least significant bits shows how well the command was executed.   */
/*          The next eight bits (8-15) shows the (if any) command invocation  */
/*          error.                                                            */
/* Authors: Anders Furuhed & Peter Eriksson, V{sterh|jdskolan 1987            */


system(command)
char *command;
{
    fortran cp$();
    struct
      {
      short length;
      char  text[1025];
      } cp$cmd;
    short status,command_status;

    strcpy( cp$cmd.text, command);
    cp$cmd.length = strlen(command);
    cp$(cp$cmd, status, command_status);
    return((int) status<<8 | command_status);
}
